/*
 * Copyright (C) 1995 Joao Ventura, Lars Fenneberg
 * Portions Copyright (C) 2000 Erik Cumps
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

/*
 * $Id: ipquota.h,v 1.11 2000/08/14 19:40:46 slay Exp $
 */

#include <sys/types.h>
#include <midbs.h>

#define WARN                    1  /* warning flag */

/* main */
extern int skfd;

/* log.c */
extern char *pname;
extern int use_syslog;
extern void mylog(char *, ...);
extern char *my_perror(char *);

/* hash.c */
extern void init_hash(void);
extern int  exist_user(uid_t);
extern void add_user(uid_t, signed long long, signed long long, time_t, time_t, int, int);
extern void remove_user(uid_t);
extern void set_quota_user (uid_t, signed long long, signed long long, time_t, int);
extern void set_quota_all (signed long long, signed long long, time_t, int);
extern int  set_quota_core (struct user_info *, signed long long, signed long long, time_t, int);
extern void set_RSquota_user (uid_t, signed long long);
extern void set_RSquota_all (signed long long);
extern void modify_quota_user (uid_t, unsigned long);
extern void check_quota_all (void);
extern void ctrl_access(uid_t, int);
extern void ctrl_access_all(void);
extern void check_quota_core (struct user_info *);

/* database.c */
extern void init_database(char *);
extern void close_database(char *);

/* version.c */
extern void version(void);

