%
% mind enhanced LaTeX class for design documents
% Copyright (C) 2000 mind NV
%
% $Id: mind-design.cls,v 1.2 2000/08/14 19:40:57 slay Exp $
%
% Required Tex format
\NeedsTeXFormat{LaTeX2e}
% Provided class
\ProvidesClass{mind-design}[2000/06/01 v0.2 mind enhanced LaTeX class for design documents]
% Default options
\newcommand{\MRDTITLE}{MRD-TITLE}
\newcommand{\MRDAUTHOR}{MRD-AUTHOR}
\newcommand{\MRDVERSION}{MRD-VERSION}
\newcommand{\MRDSTATUS}{MRD-STATUS}
\newcommand{\MRDUPDATED}{MRD-UPDATED}
\newcommand{\MRDYRCOPYR}{MRD-YRCOPYR}
% Option processing:
\DeclareOption{Title}{\renewcommand{\MRDTITLE}{\CurrentOption}}
\DeclareOption{Author}{\renewcommand{\MRDAUTHOR}{\CurrentOption}}
\DeclareOption{Version}{\renewcommand{\MRDVERSION}{\CurrentOption}}
\DeclareOption{Status}{\renewcommand{\MRDSTATUS}{\CurrentOption}}
\DeclareOption{Updated}{\renewcommand{\MRDUPDATED}{\CurrentOption}}
\DeclareOption{Copyright}{\renewcommand{\MRDYRCOPYR}{\CurrentOption}}
% Class is based on article, pass options by default to article
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions\relax
% Load article class
\LoadClass[11pt,a4paper,draft,titlepage]{report}
% Required packages:
% import eps graphics, use fancy headers, helvetica font, T1 font encoding, latin1 input encoding,
\RequirePackage{epsfig}
\RequirePackage{fancyhdr}
\RequirePackage{helvet}
\RequirePackage{times}
\RequirePackage[T1]{fontenc}
\RequirePackage[latin1]{inputenc}
% Page layout
\setlength{\oddsidemargin}{-0.5in}
\setlength{\evensidemargin}{-0.5in}
\setlength{\topmargin}{-2cm}
\setlength{\headheight}{4\baselineskip}
\setlength{\headsep}{\baselineskip}
\setlength{\textwidth}{7in}
\setlength{\textheight}{9.5in}
\setlength{\footskip}{4\baselineskip}
\setlength{\parindent}{1cm}
% Apply fancy headers style
\pagestyle{fancy}
% Define header
\lhead{
  {\sffamily
    \includegraphics[width=5cm]{mind-logo-small-bw.eps}
  }
}
\rhead{
  {\sffamily
    \begin{tabular}[b]{r}
      design document - copyright \copyright \ \MRDYRCOPYR \ by mind NV \\
      \\
      \textit{\leftmark}
    \end{tabular}
  }
}
% Define footer
\lfoot{
  {\sffamily
    \small{\textit{``\MRDTITLE''}}
  }
}
\cfoot{
  {\sffamily
  }
}
\rfoot{
  {\sffamily
    \small{\MRDSTATUS \ \MRDVERSION \ - page \arabic{page}}
  }
}

\renewcommand{\headrulewidth}{1pt}
\renewcommand{\footrulewidth}{1pt}

